Biosamples Variants
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/biosamples/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/biosamples/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/biosamples/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"label": "<string>",
"method": "<string>",
"source": "<string>",
"source_url": "<string>",
"name": "<string>",
"variant": "<string>",
"biosample": "<string>",
"genomic_element": "<string>",
"strand": "<string>",
"log2FC": 123,
"DNA_count_ref": 123,
"DNA_count_alt": 123,
"RNA_count_ref": 123,
"RNA_count_alt": 123,
"postProbEffect": 123,
"CI_lower_95": 123,
"CI_upper_95": 123,
"significant": true,
"neg_log10_pvalue": 123,
"neg_log10_pvalue_adj": 123,
"class": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Biosamples Variants
Retrieve data from STARR-seq, BlueSTARR, and MPRA for a given biosample.
At least one of these fields is required: biosample_id or biosample_name.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
MPRA:
query by biosample identifier
- biosample_id = EFO_0001182
- method = MPRA
- element_id = MPRA_chr1_1000079_1000279_GRCh38_plus_IGVFFI7321WGMD
- significant = true
STARR-seq:
query by biosample identifier
- biosample_id = EFO_0002067
- method = STARR-seq
BlueSTARR:
query by biosample identifier
- biosample_id = EFO_0002067
- method = BlueSTARR
Biosamples Variants
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/biosamples/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/biosamples/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/biosamples/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"label": "<string>",
"method": "<string>",
"source": "<string>",
"source_url": "<string>",
"name": "<string>",
"variant": "<string>",
"biosample": "<string>",
"genomic_element": "<string>",
"strand": "<string>",
"log2FC": 123,
"DNA_count_ref": 123,
"DNA_count_alt": 123,
"RNA_count_ref": 123,
"RNA_count_alt": 123,
"postProbEffect": 123,
"CI_lower_95": 123,
"CI_upper_95": 123,
"significant": true,
"neg_log10_pvalue": 123,
"neg_log10_pvalue_adj": 123,
"class": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
BlueSTARR, MPRA, STARR-seq Available options:
true, false Available options:
Homo sapiens Available options:
true, false Response
Successful response